Loading...
Searching...
No Matches
IterableBoolMap< GR, K >::ItemIt Class Reference

## Detailed Description

template<typename GR, typename K>
class lemon::IterableBoolMap< GR, K >::ItemIt

Iterator for the keys mapped to a given value. It works like a graph item iterator, it can be converted to the key type of the map, incremented with `++` operator, and if the iterator leaves the last valid key, it will be equal to `INVALID`.

`#include <lemon/maps.h>`

## Public Member Functions

| ItemIt (const IterableBoolMap &map, bool value)
| Creates an iterator with a value.
| ItemIt (Invalid)
| Invalid constructor & conversion.
ItemIt & | operator++ ()
| Increment operator.

## Constructor & Destructor Documentation

## ItemIt() [1/2]

template<typename GR, typename K>

ItemIt | ( | const IterableBoolMap & | map,
|  | bool | value )

inline

Creates an iterator with a value. It iterates on the keys mapped to the given value.

Parameters

  map | The IterableBoolMap.
  value | The value.

## ItemIt() [2/2]

template<typename GR, typename K>

ItemIt | ( | Invalid |  | ) |

inline

This constructor initializes the iterator to be invalid.

See also
  Invalid for more details.

## Member Function Documentation

## operator++()

template<typename GR, typename K>

ItemIt & operator++ | ( |  | ) |

inline

Increment operator.